WBCE Home | WBCE Hilfe | WBCE Addon Repository | Impressum | Datenschutz

WBCE CMS Forum

WBCE CMS – Way Better Content Editing.

You are not logged in.

#1 23.07.2018 14:30:31

rjgamer
Developer

Version 2.1.0 in Arbeit

Hallo zusammen,

ich arbeite gerade an der Version 2.1.0 des Fraggy Backend Themes.

Irgendwelche Wünsche für den neuen Releases? Bis jetzt habe ich einfach mal auf Bootstrap 4.1.3 aktualisiert. Mehr aber nicht.

Oder ist jemandem evt. ein Fehler in der laufenden WBCE Beta aufgefallen?

Gruss rjgamer

Last edited by rjgamer (12.08.2018 20:24:37)

Offline

Liked by:

florian, stefanek, ice, colinax

#2 24.07.2018 11:00:25

rjgamer
Developer

Re: Version 2.1.0 in Arbeit

Keine Wünsche sind auch gut. Einfach nicht später kommen...  big_smile

Offline

Liked by:

colinax

#3 24.07.2018 11:17:31

ice
Member

Re: Version 2.1.0 in Arbeit

Ich nutze dein Backend schon eine ganze Weile, und bin damit zufrieden, deswegen keine Wünsche, alles in Ordnung.

Last edited by ice (24.07.2018 11:18:43)

Offline

Liked by:

screamindan

#4 02.08.2018 20:47:42

trici
Member

Re: Version 2.1.0 in Arbeit

Wäre schön, wenn der save-button im ckEditor funktionieren könnte. Geht bei mir jedenfalls nicht (mehr).
Dies ist praktisch wenn man viele Abschnitte hat, so muss man nicht nach jedem speichern wieder runterscrollen und den Abschnitt suchen.
Ansonsten tipptopp, vielen Dank.

Offline

#5 03.08.2018 10:55:38

colinax
Developer

Re: Version 2.1.0 in Arbeit

trici wrote:

Wäre schön, wenn der save-button im ckEditor funktionieren könnte. Geht bei mir jedenfalls nicht (mehr).
Dies ist praktisch wenn man viele Abschnitte hat, so muss man nicht nach jedem speichern wieder runterscrollen und den Abschnitt suchen.
Ansonsten tipptopp, vielen Dank.

Hi trici,

Könntest Du uns bitte sagen welcher save Button gemeint ist?

Wenn ich dich richtig verstehe hat dein Wunsch nichts mit Fraggy zu tun sondern mit den WBCE Core(-Modulen)

Offline

#6 03.08.2018 20:53:03

trici
Member

Re: Version 2.1.0 in Arbeit

Hallo colinax
Ich hänge mal ein Scrennshot an, damit du besser siehst, welchen save-button ich meine. Mit dem Standard WBCE Flat Theme geht's, nur leider nicht mit Fraggy.

Offline

#7 04.08.2018 09:11:51

colinax
Developer

Re: Version 2.1.0 in Arbeit

Ok der Button sollte eigentlich nichts mit Fraggy zu tun haben.

Kannst Du bitte in der (Browser-)Konsole (F12) nachschauen, ob dort Fehler angezeigt werden?

Dann wäre noch interessant welche WBCE, PHP, CKE installiert ist und wie Du den CKE updatest?

Offline

#8 04.08.2018 13:25:57

colinax
Developer

Re: Version 2.1.0 in Arbeit

@Trici und rjgamer der Fehler ist bestätigt, wie es aussieht sind bestimmte Werte in der script(.min).js nicht mit jquery kompatible.

Last edited by colinax (07.08.2018 08:40:02)

Offline

#9 04.08.2018 13:46:48

trici
Member

Re: Version 2.1.0 in Arbeit

Ah, danke, war gerade am nachschauen.
Also bis WBCE 1.1 (PHP 5.6 und 7.1) funktionierte der Button. Ab WBCE Version 3.1 nicht mehr. In der Konsole fehlt z.B. jquery-migrate-min.js, ev. liegt es daran? Dies als ergänzende Info.

Offline

Liked by:

stefanek, colinax

#10 06.08.2018 19:12:40

rjgamer
Developer

Re: Version 2.1.0 in Arbeit

Hiho, sorry gerade beruflich viel los. Danke fürs gucken, ich werde es versuchen zu fixen und melde mich wieder.

Offline

#11 06.08.2018 21:42:21

rjgamer
Developer

Re: Version 2.1.0 in Arbeit

Hi,

also ich hab auch das Problem mit dem SaveButton, aber ich kann eure Test-Resultate nicht reproduzieren. Ich sehe keinen Fehler beim script.min.js, vielmehr eine Inkompatibilität mit dem SaveButton Plugin von CKEditor und jQuery. Siehe Screenshot.

Könnt ihr mir paar Infos mehr liefern zu euren Tests?

Gruss rjgamer

Offline

#12 06.08.2018 22:40:17

colinax
Developer

Re: Version 2.1.0 in Arbeit

Ich habs jetzt gezielter geprüft, das Problem liegt in der ibox.js des wbsave Plugins, die nicht mit jquery 3.x kompatible ist.

Die einfachste Lösung wäre wenn Fraggy jQuery Migrate mit ausliefern würde.

Offline

Liked by:

stefanek

#13 11.08.2018 09:17:23

rjgamer
Developer

Re: Version 2.1.0 in Arbeit

Habs geschafft. Lag nicht am jQuery, sondern am Selektor im WBSave Plugin des CKEditors, der den Inhalt mittels der CSS Klasse .content gesucht und beim Fraggy nichts gefunden hatte.

Ich musste daher in der header.htt am Schluss der Datei, beim offenen Element bevor der Inhalt gerendert wird, noch die CSS Klasse "content" hinzufügen:
            <div class="container-fluid">
                <div class="content-body content">
                    <!-- END header_block -->

Jetzt gehts. Wird im 2.1.0 vom Fraggy dann gefixt sein.

attachment.php?item=1368&download=1

Last edited by rjgamer (12.08.2018 20:15:03)

Offline

Liked by:

stefanek, florian

#14 11.08.2018 10:22:48

rjgamer
Developer

Re: Version 2.1.0 in Arbeit

Sonst noch Wünsche oder Fehler die erst in der WBCE 1.3.2 aufgetreten sind?

Gruss rjgamer

Offline

#15 12.08.2018 20:24:50

rjgamer
Developer

Re: Version 2.1.0 in Arbeit

Korrektur, Fraggy wird auf Bootstrap 4.1.3 aktualisiert.

Offline

Board footer

Powered by FluxBB

up